Bug 879742 - [abrt] smolt-1.4.3-6.fc17: smoltSendProfile:259:<module>:IOError: [Errno 5] Input/output error
[abrt] smolt-1.4.3-6.fc17: smoltSendProfile:259:<module>:IOError: [Errno 5] I...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:8a1060ce074a3083c4ff0d3faec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 20:29 EST by Moez Roy
Modified: 2013-08-01 09:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:17:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: executable (25 bytes, text/plain)
2012-11-23 20:29 EST, Moez Roy
no flags Details
File: environ (2.78 KB, text/plain)
2012-11-23 20:29 EST, Moez Roy
no flags Details
File: smolt_data (2.81 KB, text/plain)
2012-11-23 20:29 EST, Moez Roy
no flags Details
File: core_backtrace (83 bytes, text/plain)
2012-11-23 20:29 EST, Moez Roy
no flags Details

  None (edit)
Description Moez Roy 2012-11-23 20:29:44 EST
Version-Release number of selected component:
smolt-1.4.3-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/smoltSendProfile
kernel:         3.6.7-4.fc17.x86_64

backtrace:
:smoltSendProfile:259:<module>:IOError: [Errno 5] Input/output error
:
:Traceback (most recent call last):
:  File "/usr/bin/smoltSendProfile", line 259, in <module>
:    print '\n\n'
:IOError: [Errno 5] Input/output error
:
:Local variables in innermost frame:
:rating: <function rating at 0x47b9ed8>
:scan: <function scan at 0x47b9f50>
:random: <module 'random' from '/usr/lib64/python2.7/random.pyc'>
:subprocess: <module 'subprocess' from '/usr/lib64/python2.7/subprocess.pyc'>
:getpass: <module 'getpass' from '/usr/lib64/python2.7/getpass.pyc'>
:submit: False
:excerpts: {'label_question': u'Do you want to ..', 'general': u'Default run level: Unknown\n     OS: Fedora release 17 (Beefy Miracle)\n     Language: en_US.UTF-8\n     ...', 'label_question_view': u'(v)iew details on collected information?', 'file_system': u'device mtpt type bsize frsize blocks bfree bavail file ffree favail\n     /dev/mapper/luks-63b89266-623c-4546-b320-7daf1a29e0fe / ext4 4096 4096 12901023 11631097 11500053 3276800 3110137 3110137\n     /dev/sda1 /boot ext4 1024 1024 495844 394555 368955 128016 127653 127653\n     ...', 'label_question_quit': u'(q)uit Smolt?', 'label_question_send': u'(s)end this information to the Smolt server?', 'label_devices': u'Devices', 'label_fs_related': u'File system-related', 'devices': u'(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller\n     (4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]\n     (6945:4224:4163:33929) pci, None, PCI/PCI, N/A\n     ...', 'label_distro_specific': u'Distribution-specific', 'label_general': u'General', 'label_intro': u'Smolt has collected four types of information:', 'distro': u'No data, yet'}
:proxies: None
:args: []
:ServerError: <class 'smolt.ServerError'>
:GateFromConfig: <function GateFromConfig at 0x1698aa0>
:smolt: <module 'smolt' from '/usr/share/smolt/client/smolt.pyc'>
:__package__: None
:__doc__: None
:OptionParser: <class optparse.OptionParser at 0x13ef4c8>
:urljoin: <function urljoin at 0x140f230>
:inner_indent: <function inner_indent at 0x47b98c0>
:parser: <optparse.OptionParser instance at 0x21dd4d0>
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/bin/smoltSendProfile'
:time: <module 'time' from '/usr/lib64/python2.7/lib-dynload/timemodule.so'>
:choice: 'v'
:sys: <module 'sys' (built-in)>
:profile: <smolt._Hardware instance at 0x47bc680>
:__name__: '__main__'
:line: ''
:to_ascii: <function to_ascii at 0x47b8848>
:_: <bound method NullTranslations.ugettext of <gettext.NullTranslations instance at 0x1477ea8>>
:f: <closed file '<fdopen>', mode 'w+b' at 0x29ae660>
:os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
:error: <function error at 0x47b8c08>
:debug: <function debug at 0x47b8c80>
:pager_command: '/usr/bin/less'
:NamedTemporaryFile: <function NamedTemporaryFile at 0x147a8c0>
:get_config_attr: <function get_config_attr at 0x1528320>
:opts: <Values at 0x47bc4d0: {'userName': None, 'scanOnly': False, 'retry': False, 'smoonURL': 'http://www.smolts.org/', 'the_only_config_file': None, 'printOnly': False, 'new_pub': False, 'autoSend': False, 'submitOnly': False, 'user_agent': 'smolt/0.97', 'timeout': 120.0, 'uuidFile': '/etc/smolt/hw-uuid', 'DEBUG': False, 'httpproxy': None, 'password': None, 'checkin': False}>
Comment 1 Moez Roy 2012-11-23 20:29:50 EST
Created attachment 650737 [details]
File: executable
Comment 2 Moez Roy 2012-11-23 20:29:52 EST
Created attachment 650738 [details]
File: environ
Comment 3 Moez Roy 2012-11-23 20:29:53 EST
Created attachment 650739 [details]
File: smolt_data
Comment 4 Moez Roy 2012-11-23 20:29:55 EST
Created attachment 650740 [details]
File: core_backtrace
Comment 5 Fedora End Of Life 2013-07-04 00:22:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:17:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.